﻿<?xml version='1.0' encoding='UTF-8'?>
<xsl:stylesheet
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:dc="http://purl.org/dc/elements/1.1/"
	xmlns:msdndomain="http://msdn.microsoft.com/aboutmsdn/rss/domains"
	xmlns:msxsl="urn:schemas-microsoft-com:xslt"
	xmlns:user="foo"
	version="1.0"
>

	<xsl:include href="bds:/xsl/languageStrings.xsl" />

	<msxsl:script implements-prefix="user" language="JScript">
		<![CDATA[
			function replaceBackslash(path) {
				return path.replace(/\\/gi, '\\\\');
			}
		]]>
	</msxsl:script>
	<xsl:template match='*'>
		<div class="menuNotificationBar">
			<div class="menuNotificationHeader">
				<span class="menuNotificationHeaderText" id="notificationTitle"><xsl:value-of select="$notification" /></span>
				<xsl:if test="count(item) &gt; 0">
					<a href="javascript:clearNotification();"><img src="./Images/NotificationClear.gif" class="menuHeaderReload" width="14" height="13" alt="" /></a>
				</xsl:if>
			</div>
			<xsl:if test="count(action) &gt; 0">
				<ul class="menuNotificationAction"><xsl:apply-templates select="action" /></ul>
			</xsl:if>
			<xsl:if test="count(item) &gt; 0">
				<ul class="menuNotificationItem"><xsl:apply-templates select="item" /></ul>
			</xsl:if>
		</div>
	</xsl:template>

	<xsl:template match='action'>
		<li><xsl:value-of select="." /></li>
	</xsl:template>

	<xsl:template match='item'>
		<li><xsl:value-of select="." /></li>
	</xsl:template>

</xsl:stylesheet>