﻿<?xml version='1.0' encoding='UTF-8'?>
<xsl:stylesheet
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:dc="http://purl.org/dc/elements/1.1/"
	xmlns:msdndomain="http://msdn.microsoft.com/aboutmsdn/rss/domains"
	version="1.0"
>

	<xsl:include href="bds:/xsl/languageStrings.xsl" />

	<xsl:template match='*'>
		<div class="groupHeading"><xsl:value-of select="$productName" /></div>
		<div id="menuBar"><xsl:apply-templates select='channel' /></div>
	</xsl:template>

	<xsl:template match='channel'>
		<div class="menuSectionTitle"><xsl:value-of select="title" /></div>
		<div class="menuSection"><xsl:apply-templates select="item" /></div>
	</xsl:template>

	<xsl:template match='item'>
		<div class="menuItem"><a href="{link}"><xsl:value-of select="title" /></a></div>
	</xsl:template>

</xsl:stylesheet>